diff --git a/src/process_utility.c b/src/process_utility.c
index 0f64f15ec0..68261a1422 100644
--- a/src/process_utility.c
+++ b/src/process_utility.c
@@ -2814,6 +2814,20 @@ process_altertable_start_matview(ProcessUtilityArgs *args)
 				process_altercontinuousagg_set_with(cagg, view_relid, (List *) cmd->def);
 				break;
 
+			case AT_ChangeOwner:
+				/* Change owner of view */
+				AlterTableInternal(view_relid, list_make1(cmd), false);
+				hcache = ts_hypertable_cache_pin();
+				ht = ts_hypertable_cache_get_entry_by_id(hcache, cagg->data.mat_hypertable_id);
+				Assert(ht); /* Broken continuous aggregate */
+				ts_hypertable_permissions_check_by_id(ht->fd.id);
+				check_alter_table_allowed_on_ht_with_compression(ht, stmt);
+				relation_not_only(stmt->relation);
+				AlterTableInternal(ht->main_table_relid, list_make1(cmd), false);
+				process_altertable_change_owner(ht, cmd);
+				ts_cache_release(hcache);
+				break;
+
 			case AT_SetTableSpace:
 				hcache = ts_hypertable_cache_pin();
 				ht = ts_hypertable_cache_get_entry_by_id(hcache, cagg->data.mat_hypertable_id);
diff --git a/tsl/test/expected/continuous_aggs_ddl.out b/tsl/test/expected/continuous_aggs_ddl.out
index 209c3f05f4..d58b0f64c7 100644
--- a/tsl/test/expected/continuous_aggs_ddl.out
+++ b/tsl/test/expected/continuous_aggs_ddl.out
@@ -1061,5 +1061,45 @@ FROM metrics_int8
 GROUP BY 1;
 ERROR:  first argument to time_bucket function should be an immutable expression for continuous aggregate query
 \set ON_ERROR_STOP 1
+-- Test various ALTER MATERIALIZED VIEW statements.
+SET ROLE :ROLE_DEFAULT_PERM_USER;
+CREATE MATERIALIZED VIEW owner_check WITH (timescaledb.continuous) AS
+SELECT time_bucket(1 + 2, time)
+FROM metrics_int8
+GROUP BY 1
+WITH NO DATA;
+SELECT relname AS "name",
+       pg_get_userbyid(relowner) AS "owner"
+FROM pg_class, cagg_info 
+WHERE (oid = user_view OR relname = mat_table)
+AND user_view::text = 'owner_check'
+ORDER BY "name";
+            name             |       owner       
+-----------------------------+-------------------
+ _materialized_hypertable_24 | default_perm_user
+ owner_check                 | default_perm_user
+(2 rows)
+
+-- This should not work since the target user has the wrong role, but
+-- we test that the normal checks are done when changing the owner.
+\set ON_ERROR_STOP 0
+ALTER MATERIALIZED VIEW owner_check OWNER TO :ROLE_1;
+ERROR:  must be member of role "test_role_1"
+\set ON_ERROR_STOP 1
+-- Superuser can always change owner 
+SET ROLE :ROLE_SUPERUSER;
+ALTER MATERIALIZED VIEW owner_check OWNER TO :ROLE_1;
+SELECT relname AS "name",
+       pg_get_userbyid(relowner) AS "owner"
+FROM pg_class, cagg_info 
+WHERE (oid = user_view OR relname = mat_table)
+AND user_view::text = 'owner_check'
+ORDER BY "name"; 
+            name             |    owner    
+-----------------------------+-------------
+ _materialized_hypertable_24 | test_role_1
+ owner_check                 | test_role_1
+(2 rows)
+
 DROP TABLESPACE tablespace1;
 DROP TABLESPACE tablespace2;
diff --git a/tsl/test/sql/continuous_aggs_ddl.sql b/tsl/test/sql/continuous_aggs_ddl.sql
index 3a9b995fca..23f9ea36eb 100644
--- a/tsl/test/sql/continuous_aggs_ddl.sql
+++ b/tsl/test/sql/continuous_aggs_ddl.sql
@@ -695,8 +695,41 @@ CREATE MATERIALIZED VIEW width_expr WITH (timescaledb.continuous) AS
 SELECT time_bucket(extract(year FROM now())::int, time)
 FROM metrics_int8
 GROUP BY 1;
+\set ON_ERROR_STOP 1
+
+-- Test various ALTER MATERIALIZED VIEW statements.
 
+SET ROLE :ROLE_DEFAULT_PERM_USER;
+
+CREATE MATERIALIZED VIEW owner_check WITH (timescaledb.continuous) AS
+SELECT time_bucket(1 + 2, time)
+FROM metrics_int8
+GROUP BY 1
+WITH NO DATA;
+
+SELECT relname AS "name",
+       pg_get_userbyid(relowner) AS "owner"
+FROM pg_class, cagg_info 
+WHERE (oid = user_view OR relname = mat_table)
+AND user_view::text = 'owner_check'
+ORDER BY "name";
+
+-- This should not work since the target user has the wrong role, but
+-- we test that the normal checks are done when changing the owner.
+\set ON_ERROR_STOP 0
+ALTER MATERIALIZED VIEW owner_check OWNER TO :ROLE_1;
 \set ON_ERROR_STOP 1
 
+-- Superuser can always change owner 
+SET ROLE :ROLE_SUPERUSER;
+ALTER MATERIALIZED VIEW owner_check OWNER TO :ROLE_1;
+
+SELECT relname AS "name",
+       pg_get_userbyid(relowner) AS "owner"
+FROM pg_class, cagg_info 
+WHERE (oid = user_view OR relname = mat_table)
+AND user_view::text = 'owner_check'
+ORDER BY "name"; 
+
 DROP TABLESPACE tablespace1;
 DROP TABLESPACE tablespace2;
